<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" version="1.0" encoding="ISO-8859-1" omit-xml-declaration="no" indent="no" media-type="text/html"/>

<!-- An XSL template for munging HDF-EOS granule files to add stuff
	needed by ECHO

     	Revision History: Created 09/09/2004 bane

-->

<!-- Would you believe - this is a default template that just copies the
	current element and its attributes, and then tries templates on
	the rest of the content?  Simple, eh?  Bleah.
-->
<xsl:template match="*">
<xsl:element name="{name(.)}"><xsl:copy-of select="@*"/><xsl:apply-templates/></xsl:element>
</xsl:template>

<xsl:template match="DataCenterId">
  <DataCenterId>DUtestDCID</DataCenterId>
</xsl:template>

<xsl:template match="InsertTime">
  <InsertTime>2000-01-01</InsertTime>
</xsl:template>

<xsl:template match="LastUpdate">
  <LastUpdate>2000-01-01</LastUpdate>
</xsl:template>

<xsl:template match="HorizontalSpatialDomain">
  <HorizontalSpatialDomain><Global/></HorizontalSpatialDomain>
</xsl:template>

<!-- These actually need to be written to only add elements when they
	aren't currently there.  That will no doubt be a pain, so I'm not
	going to bother with figuring it out for now.
-->

<xsl:template match="Geometry">
  <Geometry>
   <CoordinateSystem><Cartesian/></CoordinateSystem>
  <xsl:apply-templates/>
   <GranuleSpatialRepresentation><Cartesian/></GranuleSpatialRepresentation>
  </Geometry>
</xsl:template>

</xsl:stylesheet>